Skip to main content
Queries

Execute the query.

The representational output format of the query is controlled by HTTP Accept header. Three content types are presently supported:

POST
/gb/queries/print-query/{query_id}
  • text/csv
    • text/xml
    • application/json (default)

Queries that run successfully but result in 0 rows will return an HTTP 204 (No content) response from the API.

This method requires the Queries:Print permission to be associated with the role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
query_idstringrequired

SQL query to run

stringify_result_fields_flagenum<string>querydefault:yes

(Optional) If yes, numeric values in the result will be converted to strings when fetching.

If omitted, this behaviour will default to yes.

Available options: yes, no
Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/json

Success

bodystring